// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic', 'films'])
    .controller('ProfilCtrl', ProfilCtrl)
    .constant('API_URL', 'http://www.omdbapi.com/')
    .run(function ($ionicPlatform) {
        $ionicPlatform.ready(function () {
            if (window.cordova && window.cordova.plugins.Keyboard) {
                // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
                // for form inputs)
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

                // Don't remove this line unless you know what you are doing. It stops the viewport
                // from snapping when text inputs are focused. Ionic handles this internally for
                // a much nicer keyboard experience.
                cordova.plugins.Keyboard.disableScroll(true);
            }
            if (window.StatusBar) {
                StatusBar.styleDefault();
            }
            $ionicPlatform.registerBackButtonAction(function () {
                if ($ionicHistory.backView()) {
                    $ionicHistory.goBack();
                } else {
                    var confirmPopup = $ionicPopup.confirm({
                        title: 'Quitter',
                        template: 'Voulez-vous quitter l\'application ?'
                    }).then(function (res) {
                        ionic.Platform.exitApp();
                    });
                }
            }, 101);
        });
    })
    .config(function ($stateProvider) {
        $stateProvider
            .state('tabs', {
                url: "/tabs",
                abstract: true,
                templateUrl: "tabs.html"
            });
    })

    .config(function ($urlRouterProvider) {
        $urlRouterProvider.otherwise('/tabs/films/liste');
    })

    .config(function ($ionicConfigProvider) {
        $ionicConfigProvider.backButton.icon('ion-android-arrow-back');
        $ionicConfigProvider.backButton.text('Retour');
        $ionicConfigProvider.backButton.previousTitleText(false);
        $ionicConfigProvider.tabs.position('bottom');
    });
